var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import ConfigProvider from '../config-provider';
import React, { Component } from 'react';
import cls from 'classnames';
import hoistNonReactStatics from 'hoist-non-react-statics';
import { Nav as NextNav } from '@alifd/next';
class Nav extends Component {
    render() {
        const { size = 'medium', direction = 'ver' } = this.props;
        const _a = this.props, { prefix = 'next-', className, inlineIndent = 28 } = _a, otherProps = __rest(_a, ["prefix", "className", "inlineIndent"]);
        if (direction === 'ver') {
            return (React.createElement(NextNav, Object.assign({}, otherProps, { prefix: prefix, activeDirection: null, inlineIndent: inlineIndent, className: cls(className, {
                    [`${prefix}large`]: size === 'large',
                    [`${prefix}medium`]: size === 'medium',
                }) })));
        }
        return (React.createElement(NextNav, Object.assign({}, otherProps, { prefix: prefix, className: cls(className, {}) })));
    }
}
Nav.Group = NextNav.Group;
Nav.Item = NextNav.Item;
Nav.PopupItem = NextNav.PopupItem;
Nav.SubNav = NextNav.SubNav;
Nav.SubMenu = NextNav.SubNav; // add alias
hoistNonReactStatics(Nav, NextNav);
export default ConfigProvider.config(Nav);
